Bug 1840782 - Baremetal assisted installs should not deploy Baremetal specific metal3 pod
Summary: Baremetal assisted installs should not deploy Baremetal specific metal3 pod
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: sdasu
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-27 15:46 UTC by sdasu
Modified: 2020-09-15 13:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-api-operator pull 560 None closed Bug 1840782: Update conditions under which metal3 pod would be deployed 2020-09-22 13:02:58 UTC

Description sdasu 2020-05-27 15:46:52 UTC
Description of problem:
The Baremetal assisted installs do not need the metal3 pod to be deployed by the MAO. For these installs, the platform types continues to be "BareMetal" but does not need the metal3 pod to deploy workers.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.